---
VMID: 103
---

[Wireguard VPN quickstart](https://www.wireguard.com/quickstart)

Check dmzadmin for `wireguard.gpg` to know who to contact for access 

---

### Server config

New user/client needs to provide their wireguard `publickey` and new ip on the network needs to be assigned (`x`)
add next lines to the bottom of the conf file - `/etc/wireguard/wg0.conf`

```conf
[Peer]
PublicKey = <client_public_key>
AllowedIPs = 192.168.164.x/32
```

---

### Client config

client conf example
`x` is the assinged on the server as peer

```conf

[Interface]
Address = 192.168.164.x/32
DNS = 1.1.1.1
MTU = 1420
SaveConfig = true
ListenPort = 51820
FwMark = 0xca6c
PrivateKey = <your_private_wg_key>

[Peer]
PublicKey = JP2FTHLUujkevz1kUymciLImsx1OX9ViUko7oPAIoiA=
AllowedIPs = 192.168.164.0/24, 192.168.1.0/24
Endpoint = 77.105.27.232:51820
PersistentKeepalive = 21

```

---

Command to resolve ip clashing with current and wireguard network 

```shell
ip route add <ip> dev <wg0>
```

- `ip` you want to resove -> for wireguard vm 192.168.1.10
- `wg0` name of the wireguard conf

